apply plugin: 'com.huawei.ohos.hap'
apply plugin: 'com.huawei.agconnect'
apply plugin: 'com.huawei.ohos.decctest'
//For instructions on signature configuration, see https://developer.harmonyos.com/cn/docs/documentation/doc-guides-V3/ide_debug_device-0000001053822404-V3#section1112183053510
ohos {
    signingConfigs {
        debug {
            storeFile file('C:\\Users\\PC-ZH\\.ohos\\config\\auto_debug_fshwcar_com.fujica.abk_2850086000523307485.p12')
            storePassword '0000001B0F03428055BB9C18944B18A4411F9CA525E39C37AC552959797457213E23D65A3C840C5B27AC9D'
            keyAlias = 'debugKey'
            keyPassword '0000001BE861C837E8575F16DFDFDC1A9DF87DA297E31AD085280889BA1405C4427529138496CCF7452060'
            signAlg = 'SHA256withECDSA'
            profile file('C:\\Users\\PC-ZH\\.ohos\\config\\auto_debug_fshwcar_com.fujica.abk_2850086000523307485.p7b')
            certpath file('C:\\Users\\PC-ZH\\.ohos\\config\\auto_debug_fshwcar_com.fujica.abk_2850086000523307485.cer')
        }
    }
    compileSdkVersion 7
    defaultConfig {
        compatibleSdkVersion 7
    }
    showInServiceCenter true
    buildTypes {
        release {
            proguardOpt {
                proguardEnabled false
                rulesFiles 'proguard-rules.pro'
            }
        }
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar', '*.har'])
    // 高德地图 SDK 依赖 - 显式指定har文件
//    implementation files('libs/mapslibrary-release.har')
    ohosTestImplementation 'com.huawei.ohos.testkit:runner:2.0.0.400'

    implementation 'com.huawei.hms:hwid-ohos:6.5.0.300'
    implementation 'com.huawei.agconnect:agconnect-core-harmony:1.3.0.300'
    // Gson JSON 解析库
    implementation 'com.google.code.gson:gson:2.10.1'
}
decc {
    supportType = ['html', 'xml']
}
